Class Index | File Index

## Classes

- _global_
- jQuery.fn.minplayer
- minplayer.async
- minplayer.compatibility
- minplayer.display
- minplayer.file
- minplayer.flags
- minplayer.image
- minplayer.players.base
- minplayer.players.flash
- minplayer.players.html5
- minplayer.players.minplayer
- minplayer.players.vimeo
- minplayer.players.youtube
- minplayer.plugin

# Class minplayer.file

A wrapper class used to provide all the data necessary to control an individual file within this media player.
Defined in: minplayer.file.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| minplayer.file(file)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getBestPlayer() Returns the best player for the job.
| getFileExtension() Returns the file extension of the file path.
| getId() Returns the ID for this media file.
| getMimeType() Returns the proper mimetype based off of the extension.
| getPriority() The priority of this file is determined by the priority of the best player multiplied by the priority of the mimetype.
| getType() The type of media this is: video or audio.

Class Detail
minplayer.file(file)

Parameters:
{object} file
  A media file object with minimal required information.

Method Detail
{string} getBestPlayer()
Returns the best player for the job.

Returns:
  {string} The best player to play the media file.

{string} getFileExtension()
Returns the file extension of the file path.

Returns:
  {string} The file extension.

{string} getId()
Returns the ID for this media file.

Returns:
  {string} The id for this media file which is provided by the player.

{string} getMimeType()
Returns the proper mimetype based off of the extension.

Returns:
  {string} The mimetype of the file based off of extension.

{integer} getPriority()
The priority of this file is determined by the priority of the best player multiplied by the priority of the mimetype.

Returns:
  {integer} The priority of the media file.

{string} getType()
The type of media this is: video or audio.

Returns:
  {string} "video" or "audio" based on what the type of media this is.

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 04 2012 19:54:20 GMT-0700 (PDT)